package com.kingdee.eas.custom.compensation;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractComplaintCountSyncInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractComplaintCountSyncInfo()
    {
        this("id");
    }
    protected AbstractComplaintCountSyncInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:投诉个数同步's 状态property 
     */
    public com.kingdee.eas.custom.compensation.bizEnum.SyncStatusEnum getState()
    {
        return com.kingdee.eas.custom.compensation.bizEnum.SyncStatusEnum.getEnum(getString("state"));
    }
    public void setState(com.kingdee.eas.custom.compensation.bizEnum.SyncStatusEnum item)
    {
		if (item != null) {
        setString("state", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("29C8BE08");
    }
}